#
# spec file for package perl-Dist-Zilla-Plugin-ReportVersions (Version 1.110730)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-Dist-Zilla-Plugin-ReportVersions
Version:        1.110730
Release:        1.1
License:        GPL+ or Artistic
%define cpan_name Dist-Zilla-Plugin-ReportVersions
Summary:        Write a test that reports used module versions
Url:            http://search.cpan.org/dist/Dist-Zilla-Plugin-ReportVersions/
Group:          Development/Libraries/Perl
#Source:         http://www.cpan.org/authors/id/M/MA/MARCEL/Dist-Zilla-Plugin-ReportVersions-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Carp)
BuildRequires:  perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Scalar::Util)
Requires:       perl(Dist::Zilla::Plugin::InlineFiles)
Requires:       perl(Moose)
%{perl_requires}

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following file:

  t/000-report-versions.t

The '000' prefix is chosen so it runs first to make sure it shows up in
CPAN tester reports.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes LICENSE README

%changelog
* Sun Apr  3 2011 coolo@novell.com
- updated to 1.110730
  - skip the 'open' pragma because 'require open' complains 'Not
    enough arguments for open'.
* Fri Jan 21 2011 coolo@novell.com
- initial package 1.102460
  * created by cpanspec 1.78.03
